File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Linux / UNIX and the fly likes problem installing Mplayer Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » Linux / UNIX
Bookmark "problem installing Mplayer " Watch "problem installing Mplayer " New topic
Author

problem installing Mplayer

san ch
Ranch Hand

Joined: Oct 18, 2004
Posts: 68
HI

iam trying to install mplayer to eun wmv and avseq files i have the rpm package and when run the installation command given which is :



rpm -Uvh mplayer-1.0pre6-1.i386.rpm


i have a message saying
warning: mplayer-1.0pre6-1.i386.rpm: V3 DSA signature: NOKEY, key ID 75aa026a
error: Failed dependencies:
libmp3lame.so.0 is needed by mplayer-1.0pre6-1


i think it says that it needs opera 6-1 which i dont have
should i install that before installing mplayer?

my linux version is linux ws release 3

thank you in advance
santosh
Joe Ess
Bartender

Joined: Oct 29, 2001
Posts: 8866
    
    8

You need LAME


"blabbing like a narcissistic fool with a superiority complex" ~ N.A.
[How To Ask Questions On JavaRanch]
Arthur Trauter
Greenhorn

Joined: Feb 16, 2005
Posts: 11
Hi!

mplayer-1.0pre6-1.i386.rpm means
mplayer-1.0 pre 6-1 rpm. You dont need Opera

look here: http://packman.links2linux.de/?action=128
Tim Holloway
Saloon Keeper

Joined: Jun 25, 2001
Posts: 16011
    
  19

Caveat: When you start installing audio-video software it's like pulling a loose thread on your sleeve. The dependencies explode into a rather large tree.

These days it's easier to install YUM and use it:

yum install mplayer

Yum will chase down the dependencies and make a list of them, then ask if it's OK to download and install all that slop. Say "yes" and it will.

If mplayer isn't available from the standard archives, update the yum repository list to go to the DAG repository. The Red Hat/Fedora crew are rather conservative when it comes to supplying apps which contain proprietary resources (especially MP3 playing capabilities), so their RPM repositories aren't always sufficient.


Customer surveys are for companies who didn't pay proper attention to begin with.
san ch
Ranch Hand

Joined: Oct 18, 2004
Posts: 68
Hi Tim

I have installed yum and tried this iam getting the following msg
yum install mplayer-1.0pre6-1.i386.rpm
Traceback (most recent call last):
File "/usr/bin/yum", line 6, in ?
import yummain
File "/usr/share/yum-cli/yummain.py", line 23, in ?
import yum
ImportError: No module named yum
[root@shankar123 Santosh]# rpm -Uvh mplayer-1.0pre6-1.i386.rpm
warning: mplayer-1.0pre6-1.i386.rpm: V3 DSA signature: NOKEY, key ID 75aa026a
error: Failed dependencies:
libmp3lame.so.0 is needed by mplayer-1.0pre6-1


thank you for help
santosh
san ch
Ranch Hand

Joined: Oct 18, 2004
Posts: 68
Hey joe

can you tell me more about lame... i mean on the url u gave it says it is a mp3 decoder and stuff ...what iam looking at is a player where i can play .wmv files and .dat(viz avseq.dat like the vcd stuff)

can i play these formats ?
Tim Holloway
Saloon Keeper

Joined: Jun 25, 2001
Posts: 16011
    
  19

Originally posted by san ch:
Hi Tim

I have installed yum and tried this iam getting the following msg

....
thank you for help
santosh


This is because the yum repositories you have configured don't include mplayer. I've had good results adding the Dag Wieers rpository to the list of places where yum goes to find RPMs. The instructions on how to set it up are are pretty good:
Start Here.
Henry Addo
Greenhorn

Joined: Feb 26, 2005
Posts: 24
Hi
Try this command rpm -Uvh --force mplayer-1.0pre6-1.i386.rpm
It will sovle that problem.I had a similar problem.But this command
is used for upgrade.If u want to install mplayer then you have to use
this command rpm -ivh mplayer-1.0pre6-1.i386.rpm.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: problem installing Mplayer